//
//  TSBaseNavigationC.swift
//  TSLiveWallpaper
//
//  Created by 100Years on 2024/12/20.
//

import UIKit

open class TSBaseNavigationC: UINavigationController, UIGestureRecognizerDelegate, UINavigationControllerDelegate, UINavigationBarDelegate {

    open override func viewDidLoad() {
        super.viewDidLoad()
        configureNavigationBar()
        view.backgroundColor = .clear
        interactivePopGestureRecognizer?.isEnabled = true;
        
        if (kIsRTL) {
            self.navigationBar.semanticContentAttribute = UISemanticContentAttribute.forceRightToLeft
            self.view.semanticContentAttribute = UISemanticContentAttribute.forceRightToLeft;
        }
    }

    private func configureNavigationBar() {
        self.navigationBar.isHidden = true
    }
}
